multi-factor-authentications
Verify a multi-factor authentication code
Submit a verification code to authenticate an MFA record.
PUT
/
api
/
multi_factor_authentications
/
{uuid}
Verify a multi-factor authentication code
curl --request PUT \
--url https://api.fluid.app/api/multi_factor_authentications/{uuid} \
--header 'Content-Type: application/json' \
--data '
{
"multi_factor_authentication": {
"verification_code": "123456"
}
}
'import requests
url = "https://api.fluid.app/api/multi_factor_authentications/{uuid}"
payload = { "multi_factor_authentication": { "verification_code": "123456" } }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({multi_factor_authentication: {verification_code: '123456'}})
};
fetch('https://api.fluid.app/api/multi_factor_authentications/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"multi_factor_authentication": {
"uuid": "<string>",
"authenticated": true,
"authentication_token": "<string>",
"authentication_token_expires_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Path Parameters
Identifier of the MFA record to verify (mfa_-prefixed), as returned by the
create/send-MFA endpoints. Returns 404 when no record matches and 410
once the code has expired.
MFA identifier (mfa_ prefixed)
Body
application/json
Show child attributes
Show child attributes
⌘I
Verify a multi-factor authentication code
